
echo Building Lab2.a ...
echo off

for %%f in ( *.a) do del %%f

if exist Lab2.a del Lab2.a

pic30-as -o crt0.o -I"C:\Program Files\MPLAB IDE\dsPIC_Tools\support\inc" -ahldi=crt0.lst -p30f6014 crt0.s
pic30-as -o LCDRoutines.o -I"C:\Program Files\MPLAB IDE\dsPIC_Tools\support\inc" -ahldi=LCDRoutines.lst -p30f6014 LCDRoutines.s
pic30-as -o SPI2_init.o -I"C:\Program Files\MPLAB IDE\dsPIC_Tools\support\inc" -ahldi=SPI2_init.lst -p30f6014 SPI2_init.s
pic30-as -o SPI2Interrupt.o -I"C:\Program Files\MPLAB IDE\dsPIC_Tools\support\inc" -ahldi=SPI2Interrupt.lst -p30f6014 SPI2Interrupt.s
pic30-as -o init_codec_slave.o -I"C:\Program Files\MPLAB IDE\dsPIC_Tools\support\inc" -ahldi=init_codec_slave.lst -p30f6014 init_codec_slave.s
pic30-as -o init_dci_master.o -I"C:\Program Files\MPLAB IDE\dsPIC_Tools\support\inc" -ahldi=init_dci_master.lst -p30f6014 init_dci_master.s
pic30-gcc -S sub_typeconversions.s -g -Os -mconst-in-data -msmall-code -msmall-data sub_typeconversions.c
pic30-as -o sub_typeconversions.o -I"C:\Program Files\MPLAB IDE\dsPIC_Tools\support\inc" -ahldi=sub_typeconversions.lst -p30f6014 sub_typeconversions.s

rem pic30-ar -r Lab2.a crt0.o LCDRoutines.o SPI2_init.o SPI2Interrupt.o init_codec_slave.o init_dci_master.o
pic30-ar -r Lab2.a init_codec_slave.o init_dci_master.o LCDRoutines.o SPI2_init.o SPI2Interrupt.o sub_typeconversions.o crt0.o

echo Lab2.a contains the following members ...
pic30-ar -t Lab2.a
echo Library build complete

echo Copying library archive to lib folder...
copy Lab2.a ..\


echo Deleting *.o, *.lst and local copy of *.a files...
for %%f in ( *.lst) do del %%f
for %%f in ( *.o) do del %%f
for %%f in ( *.a) do del %%f

echo Library Built and Transferred
