
echo Building Lab3.a ...
echo off

for %%f in ( *.a) do del %%f

if exist Lab3.a del Lab3.a


pic30-as -o crt0.o -I"C:\Program Files\MPLAB IDE\dsPIC_Tools\support\inc" -ahldi=crt0.lst -p30f6014 crt0.s
pic30-as -o LCDRoutines.o -I"C:\Program Files\MPLAB IDE\dsPIC_Tools\support\inc" -ahldi=LCDRoutines.lst -p30f6014 LCDRoutines.s
pic30-as -o SPI2_init.o -I"C:\Program Files\MPLAB IDE\dsPIC_Tools\support\inc" -ahldi=SPI2_init.lst -p30f6014 SPI2_init.s
pic30-as -o SPI2Interrupt.o -I"C:\Program Files\MPLAB IDE\dsPIC_Tools\support\inc" -ahldi=SPI2Interrupt.lst -p30f6014 SPI2Interrupt.s

pic30-ar -r Lab3.a crt0.o LCDRoutines.o SPI2_init.o SPI2Interrupt.o

echo Lab3.a contains the following members ...
pic30-ar -t Lab3.a
echo Library build complete

echo Copying library archive to lib folder...
copy Lab3.a ..\


echo Deleting *.o, *.lst and local copy of *.a files...
for %%f in ( *.lst) do del %%f
for %%f in ( *.o) do del %%f
for %%f in ( *.a) do del %%f

echo Library Built and Transferred
